Subject: [dhcwg] I-D ACTION:draft-ietf-dhc-agent-subnet-selection-03.txt

From: [email-masked]
Date: Tue, 30 Apr 2002 07:14:38 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title		: Link Selection sub-option for the Relay Agent 
                          Information Option
	Author(s)	: K. Kinnear, M. Stapp, R. Johnson, J. Kumarasamy
	Filename	: draft-ietf-dhc-agent-subnet-selection-03.txt
	Pages		: 8
	Date		: 29-Apr-02
	
In RFC 2131, the giaddr specifies an IP address which determines both
a subnet and thereby a link on which a DHCP client resides as well as
an IP address which can be used to communicate with the relay agent.
The subnet-selection option [RFC 3011] allows these functions of the
giaddr to be split so that when one entity is performing as a DHCP
proxy, it can specify the subnet/link from which to allocate an IP
address which is different from the IP address with which it desires
to communicate with the DHCP server.  Analgous situations exist where
the relay agent needs to specify the subnet/link on which a DHCP
client resides which is different from an IP address which can be
used to communicate with the relay agent.  The link-selection sub-
option (specified here) of the relay-agent-information option allows
a relay agent to do this.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-agent-subnet-selection-03.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-dhc-agent-subnet-selection-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-dhc-agent-subnet-selection-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.